Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class MemoryAwareConcurrentReadMap.BarrierLock

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MemoryAwareConcurrentReadMap.BarrierLock

    class MemoryAwareConcurrentReadMap.BarrierLock

A Serializable class for barrier lock *

Constructor Summary
`MemoryAwareConcurrentReadMap.BarrierLock()`

Method Summary

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MemoryAwareConcurrentReadMap.BarrierLock

    MemoryAwareConcurrentReadMap.BarrierLock()

Copyright © 2003-2009 The Codehaus. All rights reserved.